<?php
/**
 * Plumrocket Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the End-user License Agreement
 * that is available through the world-wide-web at this URL:
 * http://wiki.plumrocket.net/wiki/EULA
 * If you are unable to obtain it through the world-wide-web, please
 * send an email to support@plumrocket.com so we can send you a copy immediately.
 *
 * @package     Plumrocket Private Sales
 * @copyright   Copyright (c) 2016 Plumrocket Inc. (http://www.plumrocket.com)
 * @license     http://wiki.plumrocket.net/wiki/EULA  End-user License Agreement
 */

abstract class AbstractStep
{


	protected $error;

	protected $config;

	protected $success;

	public function __construct($config)
	{
		$this->config = $config;
	}


	abstract public function run();

	public function getError()
	{
		return $this->error;
	}

	public function getSuccess()
	{
		return $this->success;
	}
}