<?php
/**
 * Plumrocket Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the End-user License Agreement
 * that is available through the world-wide-web at this URL:
 * http://wiki.plumrocket.net/wiki/EULA
 * If you are unable to obtain it through the world-wide-web, please
 * send an email to support@plumrocket.com so we can send you a copy immediately.
 *
 * @package     Plumrocket Private Sales
 * @copyright   Copyright (c) 2016 Plumrocket Inc. (http://www.plumrocket.com)
 * @license     http://wiki.plumrocket.net/wiki/EULA  End-user License Agreement
 */
class Config
{

	public $pathes = array(
		'/app/design/adminhtml/default/default/layout/privatesales.xml',
		'/app/design/adminhtml/default/default/template/privatesales/',
		'/app/design/frontend/default/default/layout/privatesales.xml',
		'/app/design/frontend/default/default/template/privatesales/',
		'/app/design/frontend/base/default/layout/privatesales.xml',
		'/app/design/frontend/base/default/template/privatesales/',

		'/app/design/frontend/bprivate_sales_fashion_red_theme/default/layout/privatesales.xml',
		'/app/design/frontend/bprivate_sales_fashion_red_theme/default/template/privatesales/',
		'/app/design/frontend/bprivate_sales_fashion_red_theme/mobile/layout/privatesales.xml',
		'/app/design/frontend/bprivate_sales_fashion_red_theme/mobile/template/privatesales/',

		'/app/design/frontend/private_sales_ocean_blue_theme/default/layout/privatesales.xml',
		'/app/design/frontend/private_sales_ocean_blue_theme/default/template/privatesales/',
		'/app/design/frontend/private_sales_ocean_blue_theme/mobile/layout/privatesales.xml',
		'/app/design/frontend/private_sales_ocean_blue_theme/mobile/template/privatesales/',

		'/app/locale/en_US/Plumrocket_Privatesales.csv',
		'/app/code/local/Plumrocket/Privatesales/',
		'/app/etc/modules/Plumrocket_Privatesales.xml',
		'/skin/adminhtml/default/default/images/plumrocket/privatesales/',
		'/skin/adminhtml/default/default/css/plumrocket/privatesales/',
		'/skin/adminhtml/default/default/js/plumrocket/privatesales/',
		'/skin/frontend/default/default/images/plumrocket/privatesales/',
		'/skin/frontend/default/default/css/privatesales.css',
		'/skin/frontend/default/default/js/plumrocket/privatesales/',
		'/skin/frontend/base/default/images/plumrocket/privatesales/',
		'/skin/frontend/base/default/css/privatesales.css',
		'/skin/frontend/base/default/js/plumrocket/privatesales/',

		'/skin/frontend/base/default/images/plumrocket/privatesales/',
		'/skin/frontend/base/default/css/privatesales.css',
		'/skin/frontend/base/default/js/plumrocket/privatesales/',

		'/skin/frontend/bprivate_sales_fashion_red_theme/default/images/plumrocket/privatesales/',
		'/skin/frontend/private_sales_fashion_red_theme/default/css/privatesales.css',
		'/skin/frontend/private_sales_fashion_red_theme/default/js/plumrocket/privatesales/',
		'/skin/frontend/bprivate_sales_fashion_red_theme/mobile/images/plumrocket/privatesales/',
		'/skin/frontend/private_sales_fashion_red_theme/mobile/css/privatesales.css',
		'/skin/frontend/private_sales_fashion_red_theme/mobile/js/plumrocket/privatesales/',

		'/skin/frontend/private_sales_ocean_blue_theme/default/images/plumrocket/privatesales/',
		'/skin/frontend/private_sales_ocean_blue_theme/default/css/privatesales.css',
		'/skin/frontend/private_sales_ocean_blue_theme/default/js/plumrocket/privatesales/',
		'/skin/frontend/private_sales_ocean_blue_theme/mobile/images/plumrocket/privatesales/',
		'/skin/frontend/private_sales_ocean_blue_theme/mobile/css/privatesales.css',
		'/skin/frontend/private_sales_ocean_blue_theme/mobile/js/plumrocket/privatesales/',

		'/Privatesale'
	);

	public $tables = array(
		'privatesales_images',
		'privatesales_preview_access',
	);

	public $attributes = array(
		'catalog_category' => array(
			'privatesale_boutique_category',
			'privatesale_type',
			'privatesale_is_link_to_product',
			'privatesale_is_storefront',
			'email_image'
		),
	);

	public $renameAttributes = array(
		'email_image' => 'privatesale_email_image',
	);


}